```@meta
CurrentModule = CitrusBuilder
```

# CitrusBuilder.jl

CitrusBuilder is a tool to construct *LimeSurvey* surveys within Julia. 

This documentation aims to get you up and running building your surveys in Julia using the CitrusBuilder package. 

If you are a new user of this package, you can start by taking a look at the [Getting Started](getting_started.md) page, which provides a quick overview on how to install and use this package. 
Afterwards you can work through the introductory tutorials, 

- [Construct basic surveys](tutorials/basic.md)
- [Construct multi-language surveys](tutorials/multi_language.md)

More advanced users are free to skip ahead to more advanced topics like

- [Construct surveys programmatically](tutorials/from_data.md)
- [Creating custom question types](tutorials/custom_question_types.md)

While not recommended for first-time users you can also skip the tutorials entirely and see the documentation for the CitrusBuilder.jl [API](lib/functions.md). 

